PC SOFT

DOCUMENTATION EN LIGNE
DE WINDEV, WEBDEV ET WINDEV MOBILE

  • Présentation
  • Conditions d'utilisation
  • Assistant de génération Android
WINDEV
WindowsLinuxUniversal Windows 10 AppJavaEtats et RequêtesCode Utilisateur (MCU)
WEBDEV
WindowsLinuxPHPWEBDEV - Code Navigateur
WINDEV Mobile
AndroidWidget AndroidiPhone/iPadApple WatchUniversal Windows 10 AppWindows Mobile
Autres
Procédures stockées
Avertissement
A partir de la version 18 (56), les conditions d'utilisation du champ Carte ont évolué. Pour plus de détails, consultez Conditions d'utilisation d'un champ Carte à partir de la version 180056.
Présentation
Jusqu'à la version 180046 de WINDEV Mobile, l'utilisation d'un champ Carte dans une application Android nécessitait l'utilisation de la librairie Google Maps API v1.
Cette librairie est préinstallée sur la plupart des téléphones et des tablettes. Il suffit d'obtenir une clé générée à partir du certificat utilisé pour signer l'application pour pouvoir utiliser cette librairie dans l'application. Cette page d'aide présente les différentes étapes nécessaires à la génération de la clé.
La version 1 de cette librairie a été dépréciée par Google le 3 décembre 2012. A partir de 3 Mars 2013 il ne sera plus possible de générer de nouvelles clés pour pouvoir utiliser la librairie en version 1. Toutefois les applications existantes continueront de fonctionner et il sera possible de réutiliser les clés précédemment générées dans d'autres applications à condition qu'elles soient signées avec le même certificat que celui utilisé pour la génération de la clé.
A partir de la version 180056 de WINDEV Mobile : A partir du 3 mars 2013, pour les applications ne disposant pas d'une clé Google Maps API v1, il sera donc nécessaire d'utiliser la version 2 de la librairie.
La marche à suivre pour l'utilisation de cette nouvelle librairie dans une application Android est assez différente et plus complexe. Pour plus de détails, consultez Conditions d'utilisation d'un champ Carte à partir de la version 180056.
Conditions d'utilisation
En Android, le champ Carte utilise la librairie Google Maps API.
Pour pouvoir utiliser un champ Carte, cette librairie doit donc être présente sur l’appareil et/ou l’émulateur sur lequel est installée l’application. Dans le cas contraire, une erreur fatale WLangage sera déclenchée à l’ouverture des fenêtres contenant un champ Carte.
Le champ Carte affiche des données provenant du service Google Maps.
Pour afficher des données provenant du service Google Maps, il est nécessaire de s’enregistrer auprès ce service et d’accepter les conditions d’utilisation afin d’obtenir une clé permettant d’accéder aux données cartographiques.
Cet enregistrement est gratuit.
Pour obtenir une clé, un compte Google est nécessaire.
La procédure détaillée d’obtention de cette clé est détaillée ici : http://code.google.com/android/add-ons/google-apis/mapkey.html
Toutefois, un plan consacré à cet enregistrement est affiché dans l’assistant de génération Android afin de simplifier cette procédure.
Assistant de génération Android
Si votre application contient un ou plusieurs champs Carte, l'assistant de génération de l'application Android propose de simplifier les manipulations nécessaires au respect des conditions d'utilisation.
  1. Si vous possédez une clé Google Maps API, saisissez-la. Dans le cas contraire, cliquez sur "Obtenir une clé".

  2. Pour obtenir la clé, 3 étapes sont nécessaires :

  3. Saisissez la clé générée et validez la fenêtre.
  4. La clé Google Maps API est automatiquement reportée dans l'assistant. Si vous utilisez un SDK version 2.1 ou supérieur, l'assistant propose le comportement à adopter si la librairie Google Maps n'est pas présente sur l'appareil d'installation. Il est possible de :
    • Autoriser l'installation de l'application. Dans ce cas, si la fenêtre contenant le champ Carte est ouverte, l'application affichera une erreur fatale.
    • Bloquer l'installation de l'application.
  5. Passez au plan suivant. La génération de l'archive est effectuée.
    Attention : Si la librairie Google Maps API n'est pas installée sur le poste, une erreur est affichée. L'installation de cette librairie est possible via le manager du SDK Android.
Version minimum requise
  • Version 17
Commentaires
Cliquez sur [Ajouter] pour publier un commentaire